Bug 584442 - Request ability to set alerts on length of time a resource availability is 'DOWN'
Summary: Request ability to set alerts on length of time a resource availability is 'D...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Alerts   
(Show other bugs)
Version: 1.4
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
: RHQ 4.4.0
Assignee: Jay Shaughnessy
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 741450
TreeView+ depends on / blocked
 
Reported: 2010-04-21 15:16 UTC by dsteigne
Modified: 2018-10-27 16:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 09:58:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description dsteigne 2010-04-21 15:16:52 UTC
Description of problem:

Request ability to set alerts on length of time a resource availability is 'DOWN'.

Customer wants to set up an alert with notification and restart of JBossAS server if server is down for more than 15 minutes.

Comment 1 Jay Shaughnessy 2012-02-28 20:38:16 UTC
This has been addressed with Availability Duration alerting in the
jshaughn/avail branch.  See:

http://rhq-project.org/display/RHQ/Design-Availability+Checking#Design-AvailabilityChecking-AddAvailabilityDurationAlerting

Comment 2 Jay Shaughnessy 2012-03-30 20:34:29 UTC
This is in master.

Comment 3 Heiko W. Rupp 2013-09-01 09:58:59 UTC
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.


Note You need to log in before you can comment on or make changes to this bug.